[patch] xfs/259 - inherit $_fs_has_crcs

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]



Hi,

When running xfs/259 against a file system that has crcs disabled, the
test will fail.  The problem is that mkfs.xfs now defaults to enabling
crcs.  So, when the test checks the underlying file system and finds
crcs are disabled, it tries to create a file system with a block size
that is too small to support them.  The solution is to explicitly
specify the crc feature.

Signed-off-by: Jeff Moyer <jmoyer@xxxxxxxxxx>

diff --git a/tests/xfs/259 b/tests/xfs/259
index 16c1935..e0022ce 100755
--- a/tests/xfs/259
+++ b/tests/xfs/259
@@ -72,7 +72,7 @@ for del in $sizes_to_check; do
 	lofile=$(losetup -f)
 	losetup $lofile "$testfile"
 	"$MKFS_XFS_PROG" -l size=32m -b size=$blocksize $lofile \
-					>/dev/null || echo "mkfs failed!"
+			 -m crc=$_fs_has_crcs>/dev/null || echo "mkfs failed!"
 	sync
 	losetup -d $lofile
 done
--
To unsubscribe from this list: send the line "unsubscribe fstests" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html



[Index of Archives]     [Linux Filesystems Development]     [Linux NFS]     [Linux NILFS]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux